]> git.sev.monster Git - dotfiles.git/blobdiff - base/.xinitrc
fix .zshrc, pa, spa; rename prompt to arrows
[dotfiles.git] / base / .xinitrc
old mode 100755 (executable)
new mode 100644 (file)
index ed72b5e..97c5c14
@@ -1,9 +1,10 @@
-#!/bin/sh
+#!/bin/zsh
+# using zsh to load .zshenv (eg. for PATH) but file is sh-compatible
 
 sysmodmap=/usr/local/etc/X11/xinit/.Xmodmap
 sysresources=/usr/local/etc/X11/xinit/.Xresources
-usermodmap="$HOME/.Xmodmap"
-userresources="$HOME/.Xresources"
+usermodmap=~/.Xmodmap
+userresources=~/.Xresources
 
 if [ -f $sysresources ]; then
        xrdb -merge $sysresources
@@ -18,28 +19,52 @@ if [ -f "$usermodmap" ]; then
        xmodmap "$usermodmap"
 fi
 
-# session-independent
-xset r rate 290 26
-xset m 1/1 0
+# redshift, root image
 redon &
+"$HOME/.fehbg"
+
+# Xorg settings
+xset r rate 290 26 &
+xset m 1/1 0 &
+xset s off
+xset dpms 0 0 600
+
+find -L "${XDG_DATA_HOME:-~/share}/fonts" -type d -mindepth 1 -maxdepth 2 | while read -r x; do
+       [ -f "$x/fonts.dir" ] && xset +fp $x
+done
+xset fp rehash
+
+# root terminal
+urxvt -name TermBg1 -override-redirect -geometry x5+0--1 \
+      -e tail -F /var/log/messages &
+xdotool search --limit 1 --sync --classname TermBg1 windowsize --usehints 100% 6
+
+# tray icons
+#"$HOME/src/phwmon/phwmon.py" --mem --mem_percent --net --io --bg \#0000 &
+volumeicon &
+
+# daemons
 dunst &
-xautolock -time 10 -locker "$HOME/bin/l" &
+mpc-notify -d &
+xautolock -time 10 -locker "$HOME/bin/lck" &
 xbanish &
 eval `ssh-agent`
 
-# run terminal daemon
-if [ -x /usr/local/bin/urxvtd ]; then
+if [ -z "$TERMINAL" -a \( -x /usr/bin/urxvtd -o -x /usr/local/bin/urxvtd \) ]; then
        for i in 1 2; do
-               # try to start client twice, once before checking for daemon and
-               # another after trying to start it
-               urxvtc -e exit
+               # try to start client twice, once before checking for daemon
+               # and another after trying to start it
+               urxvtc -e exit 2>/dev/null
                if [ $? -eq 2 ]; then
                        # daemon not started, attempt to start once
                        if [ $i -eq 1 ]; then
                                urxvtd -q -o -f
+                       else
+                               TERMINAL=urxvt
+                               export TERMINAL
                        fi
                else
-                       TERMINAL=/usr/local/bin/urxvtc
+                       TERMINAL=urxvtc
                        export TERMINAL
                        break
                fi
@@ -47,6 +72,13 @@ if [ -x /usr/local/bin/urxvtd ]; then
        unset i
 fi
 
+# try to wait for session to start
+(sleep 0.1 && tint2) &
+# x220t
+# TODO: check hostname to load auxillary things
+# TODO: reformat for linux
+#(sleep 0.1 "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
+
 # load any global scripts
 if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
        for f in /usr/local/etc/X11/xinit/xinitrc.d/?*.sh; do
@@ -55,19 +87,15 @@ if [ -d /usr/local/etc/X11/xinit/xinitrc.d ]; then
        unset f
 fi
 
-tint2 &
-# sleep for tint to start
-sleep 3
-
-# try to wait for session to start
-(sleep 0.2 && [ -x "$HOME/bin/acpi_ac" ] && "$HOME/bin/acpi_ac" "0x0`sysctl -n hw.acpi.acline`") &
-(sleep 1 && "$HOME/.fehbg") &
-(sleep 1.5 && [ -x /usr/local/bin/conky ] && conky -c "$HOME/.conkyrc.d/dock") &
-
-if [ ! -n "$1" ]; then
+# start session
+if [ -z "$1" ]; then
        session=i3
 else
        session=$1
        shift
 fi
 exec $session "$@"
+
+# cleanup
+#TODO: trap this
+ssh-agent -k
This page took 0.038407 seconds and 4 git commands to generate.